{
  programs.firefox = {
    enable = true;
    profiles = {
      sador = {
        isDefault = true;

        settings = {
          "media.videocontrols.picture-in-picture.enabled" = false;
          "widget.wayland-dmabuf-vaapi.enabled" = true;
          "browser.ctrlTab.recentlyUsedOrder" = false;
          "extensions.pocket.enabled" = false;
          "gfx.webrender.all" = true;
        };
      };
    };

    policies = {
      DisableTelemetry = true;
      DisableFirefoxStudies = true;
      EnableTrackingProtection = {
        Value = true;
        Locked = true;
        Cryptomining = true;
        Fingerprinting = true;
      };

      SearchEngines.Default = "DuckDuckGo";
      DisablePocket = true;
      DisableFirefoxScreenshots = true;
      OverrideFirstRunPage = "";
      OverridePostUpdatePage = "";
      DontCheckDefaultBrowser = true;
      DisplayBookmarksToolbar = "always";
      DisplayMenuBar = "never";
      SearchBar = "unified";
    };
  };  
}
