{ inputs }: rec {
  users = {
    hulk = {
      username = "sadorowo";
      fullname = "Franek";
      homeDirectory = "/home/${users.hulk.username}";
      preferredShell = pkgs: pkgs.fish;
      isRoot = false;
    };
  };

  pkgs = {
    hulk = {
      insecure = [
        "fluffychat-linux-1.22.1"
        "olm-3.2.16"
      ];
      unfree = [
        "davinci-resolve"
        "anydesk"
      ];
    };
  };

  hosts = {
    hulk = {
      nvidiaBusId = "PCI:2:0:0";
      intelBusId  = "PCI:0:2:0";
    };
  };

  homes = {
    sadorowo = ./profiles/hulk;
  };
}
