{ pkgs, inputs, ... }:

with pkgs;
[
  (python3.withPackages (
    py: with py; [
      pywayland
    ]
  ))

  (birdtray.overrideAttrs (_: {
    cmakeFlags = [ "-DOPT_THUNDERBIRD_CMDLINE=${thunderbird}/bin/thunderbird" ];
  }))

  jq
  vim
  starship
  element-desktop
  thunderbird-bin
  libreoffice-qt6-fresh
  gimp
  git
  anydesk
  fastfetch
  playerctl
  adwaita-icon-theme
  filezilla
  davinci-resolve
]
